## org.eclipse.datatools.connectivity.oda.design
Interface DesignSessionRequest

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DesignSessionRequest

extends org.eclipse.emf.ecore.EObject

Defines a design session requested by an ODA host designer.

The following features are supported:

- `Data Access Design`
- `Editable`
- `Session Locale`
- `Designer State`

See Also:
  `DesignPackage.getDesignSessionRequest()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataAccessDesign` `getDataAccessDesign()` Returns the value of the 'Data Access Design' containment reference.
`DataSetDesign` `getDataSetDesign()` Obtains the top-level Data Set Design associated with this Request session.
`DataSourceDesign` `getDataSourceDesign()` Obtains the Data Source Design associated with the top level Data Set in this Request session.
`DesignerState` `getDesignerState()` Returns the value of the 'Designer State' containment reference.
`Locale` `getSessionLocale()` Returns the value of the 'Session Locale' containment reference.
`boolean` `isEditable()` Returns the value of the 'Editable' attribute.
`boolean` `isSetEditable()` Returns whether the value of the '`Editable`' attribute is set.
`void` `setDataAccessDesign(DataAccessDesign value)` Sets the value of the '`Data Access Design`' containment reference.
`void` `setDesignerState(DesignerState value)` Sets the value of the '`Designer State`' containment reference.
`void` `setEditable(boolean value)` Sets the value of the '`Editable`' attribute.
`void` `setNewDataAccessDesign(DataSetDesign dataSetDesign)` Sets the value of the '`Data Access Design`' containment reference with a new data access design that contains the specified data set design.
`void` `setNewDataAccessDesign(DataSourceDesign dataSourceDesign)` Sets the value of the '`Data Access Design`' containment reference with a new data access design that contains a new data set associated with given data source design.
`void` `setSessionLocale(Locale value)` Sets the value of the '`Session Locale`' containment reference.
`void` `unsetEditable()` Unsets the value of the '`Editable`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDataSourceDesign

    DataSourceDesign getDataSourceDesign()

  Obtains the Data Source Design associated with the top level Data Set in this Request session.

  Returns:
    the value of the 'Data Source Design' containment reference; may be null if none is specified.
  See Also:
    `getDataAccessDesign()`

### getDataSetDesign

    DataSetDesign getDataSetDesign()

  Obtains the top-level Data Set Design associated with this Request session.

  Returns:
    the value of the 'Data Set Design' containment reference; may be null if none is specified.
  See Also:
    `getDataAccessDesign()`

### getDataAccessDesign

    DataAccessDesign getDataAccessDesign()

  Returns the value of the 'Data Access Design' containment reference.

  Returns:
    the value of the 'Data Access Design' containment reference.
  See Also:
    `setDataAccessDesign(DataAccessDesign)`, `DesignPackage.getDesignSessionRequest_DataAccessDesign()`

### setDataAccessDesign

    void setDataAccessDesign(DataAccessDesign value)

  Sets the value of the '`Data Access Design`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Access Design' containment reference.
  See Also:
    `getDataAccessDesign()`

### setNewDataAccessDesign

    void setNewDataAccessDesign(DataSourceDesign dataSourceDesign)

  Sets the value of the '`Data Access Design`' containment reference with a new data access design that contains a new data set associated with given data source design.

  Parameters:
    `dataSourceDesign` -
  See Also:
    `setDataAccessDesign(DataAccessDesign)`

### setNewDataAccessDesign

    void setNewDataAccessDesign(DataSetDesign dataSetDesign)

  Sets the value of the '`Data Access Design`' containment reference with a new data access design that contains the specified data set design.

  Parameters:
    `dataSetDesign` -
  See Also:
    `setDataAccessDesign(DataAccessDesign)`

### isEditable

    boolean isEditable()

  Returns the value of the 'Editable' attribute. The default value is `"true"`. Specifies whether the design session is requested to be in an "editable" or "read-only" mode. For a read-only design session, the ODA host designer would ignore any changes found in the session response. It is up to individual ODA designer to honor the requested mode and adjusts its UI behavior.

  Returns:
    the value of the 'Editable' attribute.
  See Also:
    `isSetEditable()`, `unsetEditable()`, `setEditable(boolean)`, `DesignPackage.getDesignSessionRequest_Editable()`

### setEditable

    void setEditable(boolean value)

  Sets the value of the '`Editable`' attribute.

  Parameters:
    `value` - the new value of the 'Editable' attribute.
  See Also:
    `isSetEditable()`, `unsetEditable()`, `isEditable()`

### unsetEditable

    void unsetEditable()

  Unsets the value of the '`Editable`' attribute.

  See Also:
    `isSetEditable()`, `isEditable()`, `setEditable(boolean)`

### isSetEditable

    boolean isSetEditable()

  Returns whether the value of the '`Editable`' attribute is set.

  Returns:
    whether the value of the 'Editable' attribute is set.
  See Also:
    `unsetEditable()`, `isEditable()`, `setEditable(boolean)`

### getSessionLocale

    Locale getSessionLocale()

  Returns the value of the 'Session Locale' containment reference. The suggested locale of the requested design session; normally the client locale of a locale-sensitive host designer. It is up to an ODA designer whether it can support and honor the suggested locale.

  Returns:
    the value of the 'Session Locale' containment reference.
  See Also:
    `setSessionLocale(Locale)`, `DesignPackage.getDesignSessionRequest_SessionLocale()`

### setSessionLocale

    void setSessionLocale(Locale value)

  Sets the value of the '`Session Locale`' containment reference.

  Parameters:
    `value` - the new value of the 'Session Locale' containment reference.
  See Also:
    `getSessionLocale()`

### getDesignerState

    DesignerState getDesignerState()

  Returns the value of the 'Designer State' containment reference. The private state of the ODA designer at the last design session. It can be used by an ODA designer to resume the state of its last session.

  Returns:
    the value of the 'Designer State' containment reference.
  See Also:
    `setDesignerState(DesignerState)`, `DesignPackage.getDesignSessionRequest_DesignerState()`

### setDesignerState

    void setDesignerState(DesignerState value)

  Sets the value of the '`Designer State`' containment reference.

  Parameters:
    `value` - the new value of the 'Designer State' containment reference.
  See Also:
    `getDesignerState()`